Switch to oslo.config 1.2.0 final

Bug #1182861 reported by Mark McLoughlin on 2013-05-22
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ceilometer
High
Mark McLoughlin
Glance
High
Mark McLoughlin
OpenStack Compute (nova)
High
Mark McLoughlin
OpenStack DBaaS (Trove)
High
Mark McLoughlin
OpenStack Heat
Fix Released
High
Mark McLoughlin
OpenStack Identity (keystone)
High
Dolph Mathews
neutron
High
Mark McLoughlin
oslo-incubator
High
Mark McLoughlin
python-keystoneclient
High
Mark McLoughlin
zaqar
High
Mark McLoughlin

Bug Description

These commits:

  https://review.openstack.org/#/q/I7826087147e0713edaaea85a72283998295e2281,n,z

mean we're using an oslo.config tarball from http://tarballs.openstack.org/oslo.config/

Once oslo.config-1.2.0 has been published to pypi, we should switch to:

  oslo.config>=1.2.0

tags: added: quantum-core
tags: added: neutron-core
removed: quantum-core
Changed in neutron:
milestone: havana-3 → havana-rc1
Mark McLoughlin (markmc) on 2013-09-24
Changed in glance:
milestone: none → havana-rc1
status: New → Triaged
importance: Undecided → High
Changed in neutron:
importance: Medium → High
Changed in glance:
assignee: nobody → Mark McLoughlin (markmc)
Changed in python-keystoneclient:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mark McLoughlin (markmc)
milestone: none → 0.3.3
Changed in keystone:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mark McLoughlin (markmc)
milestone: none → havana-rc1
Mark McLoughlin (markmc) on 2013-09-24
Changed in ceilometer:
importance: Undecided → High
milestone: none → havana-rc1
status: New → Triaged
assignee: nobody → Mark McLoughlin (markmc)
Changed in heat:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mark McLoughlin (markmc)
milestone: none → havana-rc1
Changed in trove:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mark McLoughlin (markmc)
Mark McLoughlin (markmc) on 2013-09-24
Changed in marconi:
assignee: nobody → Mark McLoughlin (markmc)
Mark McLoughlin (markmc) on 2013-09-24
Changed in oslo:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Mark McLoughlin (markmc)
milestone: none → havana-rc1
Dolph Mathews (dolph) on 2013-09-24
Changed in keystone:
assignee: Mark McLoughlin (markmc) → Dolph Mathews (dolph)
Changed in keystone:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48132

Changed in glance:
status: Triaged → In Progress
Changed in trove:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48133

Changed in oslo:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48134

Changed in heat:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48135

Changed in python-keystoneclient:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48136

Changed in neutron:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48137

Changed in ceilometer:
status: Triaged → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/48142

Changed in marconi:
status: New → In Progress
Mark McLoughlin (markmc) wrote :

Reviewed: https://review.openstack.org/48142
Committed: http://github.com/openstack/marconi/commit/4798a51446286f6b10833f4891210bdbe3de6f73
Submitter: Jenkins
Branch: master

commit 4798a51446286f6b10833f4891210bdbe3de6f73
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:41:09 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in marconi:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48133
Committed: http://github.com/openstack/trove/commit/5539216ca2f6bdd5f8b512931e6158f353b86da7
Submitter: Jenkins
Branch: master

commit 5539216ca2f6bdd5f8b512931e6158f353b86da7
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:22:10 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than on of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in trove:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48134
Committed: http://github.com/openstack/oslo-incubator/commit/091421323876560dbe2436d4f51b3ff047b6dec3
Submitter: Jenkins
Branch: master

commit 091421323876560dbe2436d4f51b3ff047b6dec3
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:26:15 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in oslo:
status: In Progress → Fix Committed
Changed in python-keystoneclient:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48136
Committed: http://github.com/openstack/python-keystoneclient/commit/d9a874ffcbcb363585df032bffc5e3cc5c1b39c8
Submitter: Jenkins
Branch: master

commit d9a874ffcbcb363585df032bffc5e3cc5c1b39c8
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:32:00 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than on of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Reviewed: https://review.openstack.org/48135
Committed: http://github.com/openstack/heat/commit/77548310a228d01cea7b27f48a1d5f2418120be0
Submitter: Jenkins
Branch: master

commit 77548310a228d01cea7b27f48a1d5f2418120be0
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:29:01 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in heat:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48132
Committed: http://github.com/openstack/glance/commit/31681c58f7da6acc350695e2bfcc3574f1d82c02
Submitter: Jenkins
Branch: master

commit 31681c58f7da6acc350695e2bfcc3574f1d82c02
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:01:42 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48031
Committed: http://github.com/openstack/keystone/commit/aeab3567d3d9a2801f1f4df609fc435ae2ffc3d0
Submitter: Jenkins
Branch: master

commit aeab3567d3d9a2801f1f4df609fc435ae2ffc3d0
Author: Dolph Mathews <email address hidden>
Date: Tue Sep 24 07:11:45 2013 -0500

    upgrade to oslo.config 1.2 final

    Fixes-Bug: 1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in keystone:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/48137
Committed: http://github.com/openstack/neutron/commit/f14372630a5d26335e88df46fb40217847fa055e
Submitter: Jenkins
Branch: master

commit f14372630a5d26335e88df46fb40217847fa055e
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:21:46 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in neutron:
status: In Progress → Fix Committed
Mark McLoughlin (markmc) on 2013-09-25
Changed in nova:
importance: Undecided → High
milestone: none → havana-rc1
status: New → In Progress
assignee: nobody → Mark McLoughlin (markmc)

Reviewed: https://review.openstack.org/48138
Committed: http://github.com/openstack/ceilometer/commit/a9145767e857ea1d0ebe7115b0a0a760748bc3e5
Submitter: Jenkins
Branch: master

commit a9145767e857ea1d0ebe7115b0a0a760748bc3e5
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:28:43 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in ceilometer:
status: In Progress → Fix Committed
Changed in cinder:
status: New → In Progress
Changed in cinder:
assignee: nobody → Eric Harney (eharney)
Changed in cinder:
importance: Undecided → Medium
Eric Harney (eharney) on 2013-09-25
Changed in cinder:
milestone: none → havana-rc1
Mark McLoughlin (markmc) wrote :

Cinder doesn't require any of the new APIs in 1.2.0, so it's actually perfectly fine for it to stick with:

  oslo.config>=1.1.0

That's why I didn't post a Cinder patch

so does ironic

On Thu, Sep 26, 2013 at 4:44 AM, Mark McLoughlin <email address hidden> wrote:

> Cinder doesn't require any of the new APIs in 1.2.0, so it's actually
> perfectly fine for it to stick with:
>
> oslo.config>=1.1.0
>
> That's why I didn't post a Cinder patch
>
> --
> You received this bug notification because you are subscribed to
> Keystone.
> Matching subscriptions: keystone-bugs, neutron-bug
> https://bugs.launchpad.net/bugs/1182861
>
> Title:
> Switch to oslo.config 1.2.0 final
>
> Status in Ceilometer:
> Fix Committed
> Status in Cinder:
> In Progress
> Status in OpenStack Image Registry and Delivery Service (Glance):
> Fix Committed
> Status in Orchestration API (Heat):
> Fix Committed
> Status in OpenStack Identity (Keystone):
> Fix Committed
> Status in OpenStack Message Queuing Service (Marconi):
> Fix Committed
> Status in OpenStack Neutron (virtual network service):
> Fix Committed
> Status in OpenStack Compute (Nova):
> In Progress
> Status in Oslo - a Library of Common OpenStack Code:
> Fix Committed
> Status in Python client library for Keystone:
> Fix Committed
> Status in Trove - Database as a Service:
> Fix Committed
>
> Bug description:
> These commits:
>
>
> https://review.openstack.org/#/q/I7826087147e0713edaaea85a72283998295e2281,n,z
>
> mean we're using an oslo.config tarball from
> http://tarballs.openstack.org/oslo.config/
>
> Once oslo.config-1.2.0 has been published to pypi, we should switch
> to:
>
> oslo.config>=1.2.0
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ceilometer/+bug/1182861/+subscriptions
>

--
blog: zqfan.github.com
git: github.com/zqfan

Reviewed: https://review.openstack.org/48139
Committed: http://github.com/openstack/nova/commit/b85e1d8f046d667c39cca63c856d33d5633e7b93
Submitter: Jenkins
Branch: master

commit b85e1d8f046d667c39cca63c856d33d5633e7b93
Author: Mark McLoughlin <email address hidden>
Date: Tue Sep 24 21:22:58 2013 +0100

    Require oslo.config 1.2.0 final

    Now that 1.2.0 has been released, require it rather than one of the beta
    release tarballs.

    Closes-Bug: #1182861
    Change-Id: I75ffc4a572d14488d19491a38742d6920951c171

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) wrote :
Eric Harney (eharney) on 2013-10-01
no longer affects: cinder
Thierry Carrez (ttx) on 2013-10-02
Changed in oslo:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-02
Changed in keystone:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-02
Changed in glance:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-02
Changed in ceilometer:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in neutron:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-03
Changed in heat:
status: Fix Committed → Fix Released
Dolph Mathews (dolph) on 2013-10-09
Changed in python-keystoneclient:
milestone: 0.3.3 → 0.4.0
Dolph Mathews (dolph) on 2013-10-09
Changed in python-keystoneclient:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in oslo:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in ceilometer:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in heat:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in glance:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in neutron:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in nova:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-10-17
Changed in keystone:
milestone: havana-rc1 → 2013.2
Thierry Carrez (ttx) on 2013-12-04
Changed in trove:
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Kurt Griffiths (kgriffs) on 2013-12-04
Changed in marconi:
importance: Undecided → High
milestone: none → icehouse-1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2014-04-17
Changed in trove:
milestone: icehouse-1 → 2014.1
Thierry Carrez (ttx) on 2014-04-17
Changed in marconi:
milestone: icehouse-1 → 2014.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers